import { Divider } from "antd";
import { useEffect } from "react";
import { useTranslation } from "react-i18next";
import TechClockInFormContainer from "../../components/tech-job-clock-in-form/tech-job-clock-in-form.container";
import TechClockedInList from "../../components/tech-job-clocked-in-list/tech-job-clocked-in-list.component";
import TechJobStatistics from "../../components/tech-job-statistics/tech-job-statistics.component";
import InstanceRenderManager from "../../utils/instanceRenderMgr";

export default function TechClockComponent() {
  const { t } = useTranslation();

  useEffect(() => {
    document.title = t("titles.techjobclock", {
      app: InstanceRenderManager({
        imex: "$t(titles.imexonline)",
        rome: "$t(titles.romeonline)"
      })
    });
  }, [t]);

  return (
    <div>
      <TechJobStatistics />
      <TechClockInFormContainer />
      <Divider />
      <TechClockedInList />
    </div>
  );
}
